Bug 863929 - RFE: [RHEVM/RHSC] AddBrick button is currently positioned incorrectly creating confusion
RFE: [RHEVM/RHSC] AddBrick button is currently positioned incorrectly creatin...
Status: CLOSED ERRATA
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhsc (Show other bugs)
2.0
All Linux
medium Severity urgent
: ---
: ---
Assigned To: Kanagaraj
Prasanth
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-08 01:27 EDT by Prasanth
Modified: 2016-04-18 06:05 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Previously, the 'Add Brick' button was placed towards the right of 'Server' field which was confusing. Now The 'Add Brick' button in the 'Add Bricks' popup is placed next to 'Brick Directory' field for a better UI flow.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-15 23:12:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
add-brick-position (39.79 KB, image/png)
2012-10-08 01:27 EDT, Prasanth
no flags Details

  None (edit)
Description Prasanth 2012-10-08 01:27:49 EDT
Created attachment 623306 [details]
add-brick-position

Description of problem:

AddBrick button is currently positioned incorrectly in RHEVM Beta and RHSC Tech Preview and thereby can create confusion for the first time users. 


Version-Release number of selected component (if applicable):

RHEVM (Beta) and RHSC Tech Preview


How reproducible:

Always

Checked the same with both Firefox and Google-chrome.


Steps to Reproduce:

Systems >> Volumes >> Create Volume >> AddBricks 

  
Actual results:

"AddBrick" button is currently placed towards the right of "Server" which is confusing. Users will be expecting this option to be placed below "Brick Directory" or towards its right.


Expected results:

It will be better if we place the "AddBrick" button below the "Brick Directory" or towards its right.


Additional info:

Screenshot Attached
Comment 2 Kanagaraj 2012-11-15 04:14:56 EST
'Add' button is placed towards right of "Brick Directory" now.

Patch merged in upstream: http://gerrit.ovirt.org/#/c/8996/
Comment 3 Kanagaraj 2012-11-30 01:00:59 EST
Patch has been pulled downstream as part of the periodic rebase with upstream, and is available in the latest QE drop.
Comment 4 Prasanth 2012-12-11 02:29:13 EST
Verified in Red Hat Storage Console Version: 2.1-qa18.el6ev
Comment 5 Pavithra 2013-08-20 06:29:53 EDT
Kindly review the edited doc text and sign off.
Comment 6 Kanagaraj 2013-08-20 07:11:18 EDT
doc text looks fine to me.
Comment 8 errata-xmlrpc 2013-09-15 23:12:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1263.html

Note You need to log in before you can comment on or make changes to this bug.